%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name Flask-XStatic
%define version 0.0.1
%define unmangled_version 0.0.1
%define unmangled_version 0.0.1
%define release 1

Summary: Flask support for XStatic assets
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}Flask-XStatic
Version: %{version}
Release: %{release}
Source0: Flask-XStatic-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/Flask-XStatic-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Etienne Millon <me@emillon.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/emillon/flask-xstatic


%description
Flask support for XStatic assets
--------------------------------

|Build Status| |Coverage Status|

**Flask** is a Python microframework for building websites.

**XStatic** is a format for packaging static assets. For example, XStatic-jQuery
is jquery in a form that you can `pip install`.

This (**Flask-XStatic**) is a Flask extension that simplifies using XStatic
assets in your project.

.. |Build Status| image:: https://img.shields.io/travis/emillon/flask-xstatic/master.svg
   :target: http://travis-ci.org/emillon/flask-xstatic
.. |Coverage Status| image:: https://img.shields.io/coveralls/emillon/flask-xstatic/master.svg
   :target: https://coveralls.io/r/emillon/flask-xstatic


Changelog
=========

0.0.1
-----
**release date:** 2015-01-30

* Initial release



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n Flask-XStatic-%{unmangled_version} -n Flask-XStatic-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
